DCMTK - Bug #509

BUILD_SINGLE_SHARED_LIBRARY broken with MSC6 and many modules
2013-03-11 15:20 - Uli Schlachter

Status: WontFix Start date: 2013-03-11
Priority: Low Due date:

Assignee: % Done: 0%
Category: Configuration Estimated time: 0:00 hour
Target version: 3.6.2

Module: Compiler: MSVC6
Operating System:

Description
This was reported in the forum: http://forum.dcmtk.org/viewtopic.php?f=3&{=3651

The problem seems to be that CMake runs into some internal limit of MSC6 and the list of object files that should be linked together
gets cur off in the middle.

| asked the people on irc.freenode.net/#cmake and was told:

<clb_> VC6 compiler?

<clb_> yeah, no idea. :/ God have mercy on your soul

<psychon__> clb_: thanks, I'll create an issue in our issue tracker and cite you as "What #cmake s
aid" :-)

<clb_> psychon__: try also concatenating "I'm going on a strike until we migrate to Visual Studio

2012!'" there ;)

| guess the next step would be to come up with a simple(?), self-contained test case and submit a proper bug report. However, that
could take some work and in the meantime a redmine issue has to be enough.

History

#1 - 2013-08-22 15:44 - J6rg Riesmeier

- Target version set to 3.6.2

#2 - 2015-10-09 19:35 - JO6rg Riesmeier
- Status changed from New to WontFix

- Compiler set to MSVC6

VC6 is not supported any longer.
